# Cinder

# cinder::app::AppCocoaTouch::Settings Class Reference

`#include <AppCocoaTouch.h>`

Inherits cinder::app::App::Settings.

List of all members.

## Public Member Functions
| Settings ()
bool | isPrepared () const
void | setWindowSize (int aWindowSizeX, int aWindowSizeY)
| width and height of the window when applicable
void | setFrameRate (float aFrameRate)
| The maximum frameRate the update/draw loop will execute at, specified in frames per second. Default value is 30 FPS.
void | enablePowerManagement (bool aPowerManagement=true)
| a value of true allows screensavers or the system's power management to hide the app. Default value is `false`.
bool | isFullScreen () const
| is the application set to run at fullscreen
int | getWindowWidth () const
| width of the application's window specified in pixels
int | getWindowHeight () const
| height of the application's window specified in pixels
Vec2i | getWindowSize () const
| width and height of the application's window specified in pixels
Area | getWindowBounds () const
| the size of the application's window specified in pixels.
void | setTitle (const std::string &title)
| the title of the app reflected in ways particular to the app type and platform (such as its Window or menu)
float | getFrameRate () const
| maximum frameRate of the application specified in frames per second
bool | isResizable () const
| are users allowed to resize the window
bool | getPowerManagement () const
| is power management enabled, allowing screensavers and the system's power management to hide the application
## Protected Attributes
bool | mShouldQuit
int | mWindowSizeX
int | mWindowSizeY
bool | mFullScreen
float | mFrameRate
bool | mResizable
bool | mPowerManagement
std::string | mTitle

## Constructor & Destructor Documentation

cinder::app::AppCocoaTouch::Settings::Settings | ( |  | ) |

Reimplemented from cinder::app::App::Settings.

## Member Function Documentation

bool cinder::app::App::Settings::isPrepared | ( |  | ) | const`[inherited]`

void cinder::app::App::Settings::setWindowSize | ( | int | aWindowSizeX,
|  | int | aWindowSizeY |
| ) |  |  | `[inherited]`

width and height of the window when applicable

void cinder::app::App::Settings::setFrameRate | ( | float | aFrameRate | ) | `[inherited]`

The maximum frameRate the update/draw loop will execute at, specified in frames per second. Default value is 30 FPS.

void cinder::app::App::Settings::enablePowerManagement | ( | bool | aPowerManagement = `true` | ) | `[inherited]`

a value of true allows screensavers or the system's power management to hide the app. Default value is `false`.

bool cinder::app::App::Settings::isFullScreen | ( |  | ) | const`[inherited]`

is the application set to run at fullscreen

int cinder::app::App::Settings::getWindowWidth | ( |  | ) | const`[inherited]`

width of the application's window specified in pixels

int cinder::app::App::Settings::getWindowHeight | ( |  | ) | const`[inherited]`

height of the application's window specified in pixels

Vec2i cinder::app::App::Settings::getWindowSize | ( |  | ) | const`[inherited]`

width and height of the application's window specified in pixels

Area cinder::app::App::Settings::getWindowBounds | ( |  | ) | const`[inherited]`

the size of the application's window specified in pixels.

Returns:
  cinder::Area( 0, 0, width in pixels, height in pixels )

void cinder::app::App::Settings::setTitle | ( | const std::string & | title | ) | `[inherited]`

the title of the app reflected in ways particular to the app type and platform (such as its Window or menu)

float cinder::app::App::Settings::getFrameRate | ( |  | ) | const`[inherited]`

maximum frameRate of the application specified in frames per second

bool cinder::app::App::Settings::isResizable | ( |  | ) | const`[inherited]`

are users allowed to resize the window

bool cinder::app::App::Settings::getPowerManagement | ( |  | ) | const`[inherited]`

is power management enabled, allowing screensavers and the system's power management to hide the application

## Member Data Documentation

bool cinder::app::App::Settings::mShouldQuit`[protected, inherited]`

int cinder::app::App::Settings::mWindowSizeX`[protected, inherited]`

int cinder::app::App::Settings::mWindowSizeY`[protected, inherited]`

bool cinder::app::App::Settings::mFullScreen`[protected, inherited]`

float cinder::app::App::Settings::mFrameRate`[protected, inherited]`

bool cinder::app::App::Settings::mResizable`[protected, inherited]`

bool cinder::app::App::Settings::mPowerManagement`[protected, inherited]`

std::string cinder::app::App::Settings::mTitle`[protected, inherited]`

The documentation for this class was generated from the following file:

- include/cinder/app/AppCocoaTouch.h